Problems with Ruby 1.9.1 / Rails 2.3.2 / aaf

I’ve set up a debian server with ruby 1.9.1, rails 2.3.2, postgres and
several gems. While I was able to get all my required gems working
(including a patched ferret gem), acts_as_ferret does not work. I’ve
tried the gem and installed it as a plugin, but either way I get the
following stack trace when I start the web server (I’m also concerned
about the warning “undefining `object_id’ may cause serious problem”):

=> Booting WEBrick
=> Rails 2.3.2 application starting on http://0.0.0.0:3000
/usr/local/lib/ruby/gems/1.9.1/gems/ferret-0.11.8/lib/ferret/field_symbol.rb:8:
warning: undefining object_id' may cause serious problem /usr/local/lib/ruby/gems/1.9.1/gems/activesupport-2.3.2/lib/active_support/vendor/builder-2.1.2/blankslate.rb:41:inreveal’: Don’t know how to reveal method ‘methods’ (RuntimeError)
from
/usr/local/lib/ruby/gems/1.9.1/gems/acts_as_ferret-0.4.4/lib/search_results.rb:6:in
<class:SearchResults>' from /usr/local/lib/ruby/gems/1.9.1/gems/acts_as_ferret-0.4.4/lib/search_results.rb:5:inmodule:ActsAsFerret
from
/usr/local/lib/ruby/gems/1.9.1/gems/acts_as_ferret-0.4.4/lib/search_results.rb:1:in
<top (required)>' from /usr/local/lib/ruby/gems/1.9.1/gems/activesupport-2.3.2/lib/active_support/dependencies.rb:156:inrequire’
from
/usr/local/lib/ruby/gems/1.9.1/gems/activesupport-2.3.2/lib/active_support/dependencies.rb:156:in
block in require' from /usr/local/lib/ruby/gems/1.9.1/gems/activesupport-2.3.2/lib/active_support/dependencies.rb:521:innew_constants_in’
from
/usr/local/lib/ruby/gems/1.9.1/gems/activesupport-2.3.2/lib/active_support/dependencies.rb:156:in
require' from /usr/local/lib/ruby/gems/1.9.1/gems/acts_as_ferret-0.4.4/lib/acts_as_ferret.rb:33:in<top (required)>’
from
/usr/local/lib/ruby/gems/1.9.1/gems/activesupport-2.3.2/lib/active_support/dependencies.rb:156:in
require' from /usr/local/lib/ruby/gems/1.9.1/gems/activesupport-2.3.2/lib/active_support/dependencies.rb:156:inblock in require’
from
/usr/local/lib/ruby/gems/1.9.1/gems/activesupport-2.3.2/lib/active_support/dependencies.rb:521:in
new_constants_in' from /usr/local/lib/ruby/gems/1.9.1/gems/activesupport-2.3.2/lib/active_support/dependencies.rb:156:inrequire’
from /home/gernot/apps/app_template/config/environment.rb:12:in
block in <top (required)>' from /usr/local/lib/ruby/gems/1.9.1/gems/rails-2.3.2/lib/initializer.rb:111:inrun’
from /home/gernot/apps/app_template/config/environment.rb:9:in
<top (required)>' from /usr/local/lib/ruby/gems/1.9.1/gems/activesupport-2.3.2/lib/active_support/dependencies.rb:156:inrequire’
from
/usr/local/lib/ruby/gems/1.9.1/gems/activesupport-2.3.2/lib/active_support/dependencies.rb:156:in
block in require' from /usr/local/lib/ruby/gems/1.9.1/gems/activesupport-2.3.2/lib/active_support/dependencies.rb:521:innew_constants_in’
from
/usr/local/lib/ruby/gems/1.9.1/gems/activesupport-2.3.2/lib/active_support/dependencies.rb:156:in
require' from /usr/local/lib/ruby/gems/1.9.1/gems/rails-2.3.2/lib/commands/server.rb:84:in<top (required)>’

can anybody please help me?

Thanks and best regards
Gernot

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs